### Method

# Tracker Resource print_sparql_update

#### Declaration [src]

    char*
    tracker_resource_print_sparql_update (
      TrackerResource* self,
      TrackerNamespaceManager* namespaces,
      const char* graph_id
    )

#### Description [src]

Generates a SPARQL command to update a database with the information stored in `resource`.

The `namespaces` object is used to expand any compact URI values. In most cases you should pass the one returned by `tracker_sparql_connection_get_namespace_manager()` from the connection that is the intended recipient of this data.

#### Parameters

`namespaces`

  Type: `TrackerNamespaceManager`

  A set of prefixed URLs, or `NULL` to use the Nepomuk set.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`graph_id`

  Type: `const char*`

  The URN of the graph the data should be added to, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A newly-allocated string containing a SPARQL update command.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.